Search posts
Search public RedNote posts by keyword.
15 credits / requestBilled only on success
Authorization
ApiKeyAuth x-api-key<token>
In: header
Query Parameters
query*string
Length
1 <= lengthpage?integer
Page number starting at 1.
Range
1 <= valueDefault
1cursor?string
Opaque continuation cursor from a previous response.
sort?string
Default
"relevance"Value in
- "relevance"
- "recent"
- "popular"
- "most_commented"
- "most_saved"
- "english"
content_type?string
Default
"all"Value in
- "all"
- "video"
- "image"
- "live"
time_range?string
Default
"all"Value in
- "all"
- "day"
- "week"
- "half_year"
ai_mode?boolean
Default
falsecurl -X GET "https://example.com/v2/rednote/search/posts?query=travel+in+Kyoto" \ -H "x-api-key: YOUR_API_KEY"{ "data": { "items": [ { "note": { "id": "post_123" } } ], "next_cursor": "eyJwYWdlIjoyfQ" }}